## org.eclipse.emf.cdo.ui.defs
Interface EditorDef

All Superinterfaces:
  org.eclipse.net4j.util.defs.Def, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CDOEditorDef

All Known Implementing Classes:
  CDOEditorDefImpl, EditorDefImpl

    public interface EditorDef

extends org.eclipse.net4j.util.defs.Def

A representation of the model object 'Editor Def'.

The following features are supported:

- `Editor ID`

See Also:
  `CDOUIDefsPackage.getEditorDef()`

Method Summary
`java.lang.String` `getEditorID()` Returns the value of the 'Editor ID' attribute.
`void` `setEditorID(java.lang.String value)` Sets the value of the '`Editor ID`' attribute

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorID

    java.lang.String getEditorID()

  Returns the value of the 'Editor ID' attribute.

  If the meaning of the 'Editor ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor ID' attribute.
  See Also:
    `setEditorID(String)`, `CDOUIDefsPackage.getEditorDef_EditorID()`

### setEditorID

    void setEditorID(java.lang.String value)

  Sets the value of the '`Editor ID`' attribute.

  Parameters:
    `value` - the new value of the 'Editor ID' attribute.
  See Also:
    `getEditorID()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.